Skip to main content
PATCH
/
websocket-servers
/
{websocketServer}
Update WebSocket cluster
curl --request PATCH \
  --url https://cloud.laravel.com/api/websocket-servers/{websocketServer} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
import requests

url = "https://cloud.laravel.com/api/websocket-servers/{websocketServer}"

payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};

fetch('https://cloud.laravel.com/api/websocket-servers/{websocketServer}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "type": "websocketServers",
    "attributes": {
      "name": "<string>",
      "type": "reverb",
      "hostname": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    },
    "relationships": {
      "applications": {
        "data": [
          {
            "type": "websocketApplications",
            "id": "<string>"
          }
        ]
      }
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "websocketApplications",
      "attributes": {
        "name": "<string>",
        "app_id": "<string>",
        "allowed_origins": [
          "<unknown>"
        ],
        "ping_interval": 123,
        "activity_timeout": 123,
        "max_message_size": 123,
        "max_connections": 123,
        "key": "<string>",
        "secret": "<string>",
        "created_at": "2023-11-07T05:31:56Z"
      },
      "relationships": {
        "server": {
          "data": {
            "type": "websocketServers",
            "id": "<string>"
          }
        }
      }
    }
  ]
}
{
"message": "<string>"
}
{
"message": "<string>",
"errors": {}
}

Authorizations

Authorization
string
header
required

The Bearer Token generated on the Cloud UI.

Path Parameters

websocketServer
string
required

The websocket server identifier

Body

application/json
name
string
Required string length: 3 - 40
Pattern: ^[a-z0-9_-]+$
max_connections
enum<integer>

The number of maximum connections allowed for the WebSocket server. If passed, the connection distribution strategy will be set to EVENLY.

Available options:
100,
200,
500,
2000,
5000,
10000

Response

WebsocketServerResource

data
WebsocketServerResource · object
required
included
WebsocketApplicationResource · object[]